local zoom_saucepan;

function auxCreateZoomZoneSaucepan()
    zoom_saucepan = CreateZoomZone( 'saucepan_transition',
                                    'SaucepanZoneClose',
                                    'Zoom_BG', true,
                                    'Corkscrew', true,
                                    'Fly_anim1', true,
                                    'Fly_anim2', true,
                                    'Fly_anim3', true,
                                    'Fly_anim4', true,
                                    'Fly_anim5', true,
                                    'Fly_anim6', true,
                                    'Fly_anim7', true,
                                    'Fly_anim8', true);
    
    zoom_saucepan.fly = CreateAnimationsGroup("Fly",    'Fly_anim1', 3,
                                                        'Fly_anim2', 0,
                                                        'Fly_anim3', 0,
                                                        'Fly_anim4', 0,
                                                        'Fly_anim5', 0,
                                                        'Fly_anim6', 3,
                                                        'Fly_anim7', 0,
                                                        'Fly_anim8', 5);
    
    zoom_saucepan.on_open = function()
        zoom_saucepan.fly.Play();
    end
    
    zoom_saucepan.on_close = function()
        zoom_saucepan.fly.Stop();
    end
    
    local state_value = game_state.scene_path.."(Corkscrew)"
    if HasGameState("TaskObjectFound", state_value) then
        zoom_saucepan.Disable();
    end
end

function auxCloseZoomSaucepan()
    if zoom_saucepan.IsVisible() then
        zoom_saucepan.SetVisible(false);
    end
    
    zoom_saucepan.Disable();
end

-----------------------------------
function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/12_Restaurant_Kitchen_HO.lua', 'hidden_object', 'data/Scenes/11_Restaurant_Main.lua')
    
    play_field:GetObject('saucepan_transition'):SetVisible(false);
    play_field:GetObject('ShutterAnim'):GetAnimation():Stop();
    
    play_field:GetObject('Goose'        ):SetVisible(false);
    play_field:GetObject('Statuette_2'  ):SetVisible(false);
    play_field:GetObject('Mask'         ):SetVisible(false);
    play_field:GetObject('Pineapple'    ):SetVisible(false);
    
    play_field:IgnoreOnTestPoint('layer_knife_over');
    
    AddTask(CreateTask('CORKSCREW', '',           'Corkscrew'));
    AddTask(CreateTask('MASK',      '',           'Mask'));
    AddTask(CreateTask('STATUETTE', 'STATUETTES', 'Statuette_1', 'Statuette_2', 'Lion'));
    AddTask(CreateTask('APPLE',     'APPLES',     'Apple_1',     'Apple_2'));
    AddTask(CreateTask('TOMATO',	'TOMATOS',    'Tomato_1',    'Tomato_2'));
    
    AddRandomTasks( --CreateTask('BOOK',			'',	'Book'),        -- EAP-682
                    CreateTask('BOTTLE',		'', 'Bottle'),
                    CreateTask('CANDELABRA',	'', 'Candlestick'),
                    CreateTask('CLOCK',			'', 'Clock'),
                    CreateTask('COMPASS',		'', 'Compass'),
                    CreateTask('CUCUMBER',		'', 'Cucumber'),
                    --CreateTask('FRUITS',		'', 'Fruits'),          -- EAP-470
                    CreateTask('POT',		    '', 'Pot'),
                    CreateTask('KNIFE',			'', 'Knife'),
                    CreateTask('SABRE',			'', 'Sabre'),
                    CreateTask('TOOLBOX',		'', 'Tools'),
                    -- CreateTask('WRENCH',		'', 'Wrench'),          -- EAP-649
                    CreateTask('CHAMPIGNON',    '', 'Champignon'),
                    CreateTask('CLOVER',        '', 'Clover'),
                    CreateTask('COFFEEPOT',     '', 'Coffeepot'),
                    CreateTask('CRAYFISH',      '', 'Crayfish'),
                    CreateTask('LEMON',         '', 'Lemon'),
                    CreateTask('PEPPER',        '', 'Pepper'),
                    CreateTask('PINEAPPLE',     '', 'Pineapple'),
                    CreateTask('RADISH',        '', 'Radish'),
                    CreateTask('ROOSTER',       '', 'Rooster'),
                    CreateTask('SAUCEBOAT',     '', 'SauceBoat'),
                    CreateTask('GOOSE',         '', 'Goose'),
                    CreateTask('TUREEN',        '', 'Tureen'));
    
    auxCreateZoomZoneSaucepan();
    
    RegisterToolFindInfo('12_corkscrew', nil, nil, nil);
                    
    RegisterActiveObject('saucepan_cover',  function(obj_name)
                                                play_field:GetObject('saucepan_transition'):SetVisible(true);
                                                
                                                local effect = CreateAnimationEffector();
                                                local animTime = 1;
                                                local object = play_field:GetObject(obj_name);
                                                effect:AttachTo( object );
                                                effect:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
                                                
                                                effect:SetKey(_TRACK_X, 0,               object:GetX());
                                                effect:SetKey(_TRACK_X, animTime * 0.55, 753);
                                                effect:SetKey(_TRACK_X, animTime * 0.75, 740);
                                                effect:SetKey(_TRACK_X, animTime * 0.85, 739);
                                                effect:SetKey(_TRACK_X, animTime * 1,    740);
                                                
                                                effect:SetKey(_TRACK_Y, 0,               object:GetY());
                                                effect:SetKey(_TRACK_Y, animTime * 0.55, 348);
                                                effect:SetKey(_TRACK_Y, animTime * 0.75, 360);
                                                effect:SetKey(_TRACK_Y, animTime * 0.85, 359);
                                                effect:SetKey(_TRACK_Y, animTime * 1,    360);
                                                
                                                effect:SetKey(_TRACK_A, 0,               object:GetAngle());
                                                effect:SetKey(_TRACK_A, animTime * 0.55, -25.3 * M_PI/180);
                                                effect:SetKey(_TRACK_A, animTime * 0.75, -40 * M_PI/180);
                                                effect:SetKey(_TRACK_A, animTime * 0.85, -37 * M_PI/180);
                                                effect:SetKey(_TRACK_A, animTime * 1,    -40 * M_PI/180);
                                                
                                                effect:Play();
                                                
                                                PlaySound('11_OpenPanCover');
                                             end,
                                             function(obj_name)
                                                play_field:GetObject(obj_name):SetXY(740, 360);
                                                play_field:GetObject(obj_name):SetAngle(-40 * M_PI/180);
                                                
                                                play_field:GetObject('saucepan_transition'):SetVisible(true);
                                             end);
    
    RegisterActiveObject('area_shutter',    function(obj_name)
                                                play_field:GetObject('area_shutter'):SetVisible(false);
                                                local anim = play_field:GetObject('ShutterAnim'):GetAnimation();
                                                
                                                anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
                                                anim:Play();
                                                
                                                play_field:GetObject('Goose'        ):SetVisible(true);
                                                play_field:GetObject('Statuette_2'  ):SetVisible(true);
                                                play_field:GetObject('Mask'         ):SetVisible(true);
                                                play_field:GetObject('Pineapple'    ):SetVisible(true);
                                                
                                                PlaySound('11_OpenShutter');
                                            end,
                                            function(obj_name)
                                                play_field:GetObject('area_shutter'):SetVisible(false);
                                                local anim = play_field:GetObject('ShutterAnim'):GetAnimation();
                                                
                                                play_field:GetObject('Goose'        ):SetVisible(true);
                                                play_field:GetObject('Statuette_2'  ):SetVisible(true);
                                                play_field:GetObject('Mask'         ):SetVisible(true);
                                                play_field:GetObject('Pineapple'    ):SetVisible(true);
                                                
                                                anim:SetFrame(anim:GetFrames() - 1);
                                            end);
    
    --game_state.custom_cursors['area_exit']   = 'CursorLeft'
    
   -- game_state.disable_default_zoom_exit = true;
    
    play_field:GetObject('lamp_03'):SetAngle(-1 * M_PI / 180);
    
    SwayObjectByAngle('lamp_01', 2,   4)
    SwayObjectByAngle('lamp_02', 1.5, 5)
    SwayObjectByAngle('lamp_03', 0.5, 4)
    
    PlayAnimationPeriodicallyVsDelay('Moth_anim', 6);
    PlayAnimationPeriodicallyVsDelay('Fish_anim', 20, '12_FishJump');
    
    game_state.disable_close_scene_on_complete = true;
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field
  --[[  
    if obj_name == 'area_exit' and 
       play_field:GetLevelScreen():HasTaskObjects()
    then
        play_field:GetLevelScreen():GetPanel():ButtonPress('Close')
    end
    ]]
    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end


function OnObjectFound(object)
    if object:GetName() == 'Corkscrew' then
        TimerDoString('auxCloseZoomSaucepan()', 1, play_field:GetTimer())
    end
    
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Apple_1.png',0,0,41,40,1,0)
	anim:SetHotSpot(20,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Apple_1',anim,256,545,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Apple_2.png',0,0,45,39,1,0)
	anim:SetHotSpot(22,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Apple_2',anim,92,598,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Book.png',0,0,94,34,1,0)
	anim:SetHotSpot(47,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Book',anim,392,397,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Bottle.png',0,0,64,86,1,0)
	anim:SetHotSpot(32,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bottle',anim,499,364,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Candlestick.png',0,0,62,100,1,0)
	anim:SetHotSpot(31,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Candlestick',anim,724,322,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Clock.png',0,0,81,46,1,0)
	anim:SetHotSpot(40,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clock',anim,865,318,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Compass.png',0,0,68,25,1,0)
	anim:SetHotSpot(34,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Compass',anim,876,445,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Cucumber.png',0,0,77,39,1,0)
	anim:SetHotSpot(38,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cucumber',anim,768,623,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Fruits.png',0,0,59,40,1,0)
	anim:SetHotSpot(29,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fruits',anim,815,311,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Pot.png',0,0,54,59,1,0)
	anim:SetHotSpot(27,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pot',anim,990,311,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Knife.png',0,0,93,26,1,0)
	anim:SetHotSpot(46,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Knife',anim,128,78,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Lamp.png',0,0,54,92,1,0)
	anim:SetHotSpot(27,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp',anim,558,600,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Lion.png',0,0,65,64,1,0)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lion',anim,751,458,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Mask.png',0,0,35,50,1,0)
	anim:SetHotSpot(17,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Mask',anim,278,123,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Sabre.png',0,0,83,254,1,0)
	anim:SetHotSpot(41,127)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sabre',anim,982,641,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Statuette_1.png',0,0,25,65,1,0)
	anim:SetHotSpot(12,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Statuette_1',anim,663,91,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Statuette_2.png',0,0,26,52,1,0)
	anim:SetHotSpot(13,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Statuette_2',anim,288,221,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Tomato_1.png',0,0,42,31,1,0)
	anim:SetHotSpot(21,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tomato_1',anim,455,389,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Tools.png',0,0,109,102,1,0)
	anim:SetHotSpot(54,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tools',anim,125,560,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Wrench.png',0,0,91,34,1,0)
	anim:SetHotSpot(45,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Wrench',anim,718,644,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Layers/layer_pot_over.png',0,0,69,19,1,0)
	anim:SetHotSpot(34,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_pot_over',anim,987,333,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Layers/layer_knife_over.png',0,0,106,38,1,0)
	anim:SetHotSpot(53,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_knife_over',anim,123,75,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/ShutterAnim.png',0,0,240,363,4,10)
	anim:SetHotSpot(120,181)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ShutterAnim',anim,325,224,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Layers/lamp_01.png',0,0,58,245,4,0)
	anim:SetHotSpot(26,0)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp_01',anim,465,-1,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Layers/lamp_02.png',0,0,54,238,1,0)
	anim:SetHotSpot(29,0)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp_02',anim,621,0,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Layers/lamp_03.png',0,0,52,233,1,0)
	anim:SetHotSpot(26,0)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp_03',anim,752,0,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Zoom/Layers/Zoom_BG.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Zoom_BG',anim,624,339,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Zoom/Layers/Corkscrew.png',0,0,179,165,1,0)
	anim:SetHotSpot(89,82)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Corkscrew',anim,621,383,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Layers/saucepan_cover.png',0,0,69,20,1,0)
	anim:SetHotSpot(34,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saucepan_cover',anim,785,345,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('saucepan_transition',anim,787,367,110,0,10,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_exit',anim,111,324,100,0,25,55)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Tomato_2.png',0,0,29,23,1,0)
	anim:SetHotSpot(14,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tomato_2',anim,934,335,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_shutter',anim,314,226,106,0,24,32)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/Fly_anim1.png',0,0,84,68,9,25)
	anim:SetHotSpot(42,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fly_anim1',anim,440,423,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/Fly_anim2.png',0,0,84,68,3,25)
	anim:SetHotSpot(42,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fly_anim2',anim,440,423,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/Fly_anim3.png',0,0,84,68,2,15)
	anim:SetHotSpot(42,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fly_anim3',anim,440,423,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/Fly_anim4.png',0,0,84,68,4,5)
	anim:SetHotSpot(42,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fly_anim4',anim,440,423,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/Fly_anim5.png',0,0,84,68,4,15)
	anim:SetHotSpot(42,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fly_anim5',anim,440,423,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/Fly_anim6.png',0,0,84,68,17,25)
	anim:SetHotSpot(42,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fly_anim6',anim,440,423,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/Fly_anim7.png',0,0,84,68,9,15)
	anim:SetHotSpot(42,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fly_anim7',anim,440,423,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/Fly_anim8.png',0,0,84,68,18,15)
	anim:SetHotSpot(42,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fly_anim8',anim,440,423,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/Moth_anim.png',0,0,185,196,56,12)
	anim:SetHotSpot(93,98)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Moth_anim',anim,905,252,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Animations/Fish_anim.png',0,0,292,229,39,12)
	anim:SetHotSpot(146,114)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fish_anim',anim,188,616,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Champignon.png',0,0,30,31,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Champignon',anim,520,420,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Clover.png',0,0,44,44,1,0)
	anim:SetHotSpot(22,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clover',anim,562,200,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Coffeepot.png',0,0,61,61,1,0)
	anim:SetHotSpot(30,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Coffeepot',anim,509,519,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Crayfish.png',0,0,48,36,1,0)
	anim:SetHotSpot(24,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crayfish',anim,713,64,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Lemon.png',0,0,42,27,1,0)
	anim:SetHotSpot(21,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lemon',anim,528,326,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Pepper.png',0,0,51,43,1,0)
	anim:SetHotSpot(25,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pepper',anim,602,584,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Pineapple.png',0,0,39,53,1,0)
	anim:SetHotSpot(19,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pineapple',anim,328,307,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Radish.png',0,0,60,45,1,0)
	anim:SetHotSpot(30,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Radish',anim,589,474,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Rooster.png',0,0,26,27,1,0)
	anim:SetHotSpot(13,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rooster',anim,590,275,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/SauceBoat.png',0,0,50,41,1,0)
	anim:SetHotSpot(25,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('SauceBoat',anim,334,520,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Tureen.png',0,0,73,58,1,0)
	anim:SetHotSpot(36,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tureen',anim,606,366,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Layers/BG_Ananas.png',0,0,37,62,1,0)
	anim:SetHotSpot(18,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Ananas',anim,326,311,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Layers/BG_Supnitsa.png',0,0,88,71,1,0)
	anim:SetHotSpot(44,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Supnitsa',anim,610,369,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_Restaurant_Kitchen/Zone_HO/Items/Goose.png',0,0,32,55,1,0)
	anim:SetHotSpot(16,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Goose',anim,300,333,101,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
